Update Project
Update an existing project.
Required permission:
project.write
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.project.v2.ProjectService/UpdateProject" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "projectId": "string" }'{
"changeDate": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
Remove Project Role
Remove Project Role: Removes the role from the project and on every resource it has a dependency. This includes project grants and user grants (role assignments). Required permission:
Update Project Grant
Update Project Grant: Change the roles of the project that is granted to another organization. The project grant will allow the granted organization to access the project and manage the authorizations for its users. Req...